Home
The Toolkit for Online Communities
17598 Community Members, 0 members online, 5128 visitors today
Log In Register
OpenACS Home : Forums : OpenACS Development : upgrade from 5.5 to 5.6 documentation

Forum OpenACS Development: upgrade from 5.5 to 5.6 documentation

Icon of envelope Request notifications

Collapse
Posted by Iuri Sampaio on
Hi there,

where do i find any documentation about the changes made in the source code from 5.5 to 5.6 versions of openacs core?

Is there a realease documentation as used to have in the past?

Collapse
Posted by Iuri Sampaio on
Release documentation or reference such as this one
http://openacs.com/xowiki/openacs-release-status
Collapse
Posted by Dave Bauer on
Thanks!

I was updating those pages very well for about a year, but seem to have lost track.

I'll get that updated.

Collapse
Posted by Iuri Sampaio on
Dave,

I am trying to run layout-manager and layout-managed-subsite pakcages on kernel oacs-5.5.1.

layout-managed-subsite is fine. Its dependencies are acs-subsite v. 5.5.0d8.
layout-manager v. 1.1.0

The problem is layout-manager package. Its dependencies are
openacs-default-theme v. 5.5.0d1
acs-kernel v. 5.5.0d1
acs-tcl 5.6.0d3

I'd rather to just update my system from 5.5 to 5.6 using the official updgrade scripts.
However, the code is forked and now i can't follow the standard and correct process.

Are the updates from act-tcl 5.5 to acs-tcl 5.6 too much stuff that i couldn't grab only the respective part that interests me to run layout-manager package?

Hope for a miracle!

Collapse
Posted by Dave Bauer on
You might be able to just install acs-tcl. It should not have any database upgrades, but of course, might expect some other code from 5.6 packages. It is worth a try though.

Overall I suggest you upgrade to 5.6 core packages at least. I am not sure what parts of core you have forked or what has changed but it should be possible to upgrade. That is the best plan if you want to use the layout manager.